Subject: [Fot] The #46 TR4 from Vancouver Washington is on the way

From: Mike Mehl <[email-masked]>
Date: Sun, 1 Sep 2013 18:33:05 -0700 (PDT)

I just left Portland International Raceway after running Saturday.  I sat out
today and go the car ready for KAS cup.  It is making the trip on Tony
Garmey's truck along with Bill Hart's Devin, Steve Hare's Spitfire, Bill
Babcock's Car and the 250K.  I am looking forward to meeting you all Thursday.
 
Mike Mehl 
#46 TR4
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive